%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           d-spy
Version:        48.0
Release:        %mkrel 1
Summary:        A D-Bus explorer for GNOME
Group:          Graphical desktop/GNOME
License:        LGPLv3+
URL:            https://gitlab.gnome.org/GNOME/d-spy
Source0:        https://download.gnome.org/sources/d-spy/%{url_ver}/d-spy-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)

Provides:	dspy = %{version}-%{release}

%description
D-Spy is a simple tool to explore D-Bus connections.

It's like d-feet, but written in C and blisteringly fast.
Also comes with a library for IDE integration.

%prep
%autosetup -p1 -n d-spy-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc NEWS
%{_bindir}/d-spy
%{_datadir}/applications/org.gnome.dspy.desktop
%{_metainfodir}/org.gnome.dspy.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.dspy.gschema.xml
%{_iconsdir}/hicolor/*/apps/org.gnome.dspy*.svg


%changelog
* Wed Mar 19 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2166707
- new version 48.0

* Wed Sep 18 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2097957
- new version 47.0

* Sun Mar 17 2024 daviddavid <daviddavid> 1.10.0-1.mga10
+ Revision: 2050145
- new version 1.10.0

* Tue Jan 30 2024 daviddavid <daviddavid> 1.9.0-1.mga10
+ Revision: 2036315
- new version 1.9.0

* Wed Sep 27 2023 wally <wally> 1.8.0-1.mga10
+ Revision: 1991384
- new version 1.8.0

* Sat Jun 03 2023 daviddavid <daviddavid> 1.6.0-1.mga9
+ Revision: 1960710
- new version 1.6.0

* Tue Sep 20 2022 wally <wally> 1.4.0-1.mga9
+ Revision: 1890814
- imported package d-spy

